## node-react 18.3.1+dfsg+~cs88.78.12

=== debian/changelog ===
node-react (18.3.1+dfsg+~cs88.78.12-5) unstable; urgency=medium

  * Team upload
  * Port to @rollup/plugin-replace

 -- Bastien Roucariès <rouca@debian.org>  Mon, 16 Feb 2026 23:52:04 +0100

node-react (18.3.1+dfsg+~cs88.78.12-4) unstable; urgency=medium

  * Team upload
  * Require rimraf >= 4

 -- Bastien Roucariès <rouca@debian.org>  Fri, 26 Dec 2025 22:55:00 +0100

node-react (18.3.1+dfsg+~cs88.78.12-3) unstable; urgency=medium

  * Team upload
  * Add Multi-Arch: foreign to more packages.

 -- Bastien Roucariès <rouca@debian.org>  Wed, 24 Dec 2025 11:09:18 +0100
